%define name berry-splash
%define version 0.1
%define release b2

Name:		%{name}
Summary:	Bootsplash Theme for Berry Linux
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		User Interface/Desktops
Source:		%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}

BuildArchitectures: i586


%description
User mode bootsplash suite for Berry Linux
This provides the infrastructure for setting up
splash-theme. sh-scripts and also includes a default
sample splash.


##
## Setup Section
##

%prep
%setup -q


##
## Build Section
##

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p $RPM_BUILD_ROOT

export CFLAGS="$RPM_OPT_FLAGS"
make -C fbida-2.00 prefix=/usr

make -C Utilities


##
## Install Section
##

%install
strip fbida-2.00/fbi
make -C fbida-2.00 prefix=/usr DESTDIR="%{buildroot}" install

make install DESTDIR=%{buildroot}
make install-utils DESTDIR=%{buildroot}


##
## Clean Section
##

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


##
## Files Section
##

%files
%defattr (-,root,root)
/opt/berry/*
/etc/init.d/splash.sh
/usr/share/berry-splash/*
/sbin/*
%{_bindir}/fbi


##
## change log
##

%changelog
* Thu Oct 14 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
